# $Revision: 1.21 $, $Date: 2010/11/13 00:20:11 $
#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs

%define 	module	paramiko
Summary:	SSH2 protocol for Python
Summary(pl.UTF-8):	Obsługa protokołu SSH2 w Pythonie
Name:		python-%{module}
Version:	1.7.6
Release:	4
License:	LGPL
Group:		Libraries/Python
Source0:	http://www.lag.net/paramiko/download/%{module}-%{version}.tar.gz
# Source0-md5:	fa144ab46f1dc639b05ab948c30efac4
URL:		http://www.lag.net/paramiko/
BuildRequires:	python-Crypto >= 1.9
BuildRequires:	python-devel >= 2.3
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
Requires:	python-Crypto
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A module for Python 2.3 (or higher) that implements the SSH2 protocol
for secure (encrypted and authenticated) connections to remote
machines.

%description -l pl.UTF-8
Moduł dla języka Python 2.3 (lub wyższego) implementujący protokół
SSH2 dla uzyskania bezpiecznych (szyfrowanych i autoryzowanych)
połączeń ze zdalnymi maszynami.

%package apidocs
Summary:	paramiko API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki paramiko
Group:		Documentation

%description apidocs
API and internal documentation for paramiko library.

%prep
%setup  -q -n %{module}-%{version}

find demos -name '*.py' -type f | xargs sed -i -e '1s|#!.*python.*|#!%{_bindir}/python|'

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a demos/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{py_sitescriptdir}/%{module}
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/%{module}-*.egg-info
%endif
%{_examplesdir}/%{name}-%{version}

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc docs/*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-paramiko.spec,v $
Revision 1.21  2010/11/13 00:20:11  pawelz
- release 4

Revision 1.20  2010/10/25 05:26:17  glen
- release 3

Revision 1.19  2010/10/25 05:06:52  glen
- revert r1.14 - do package egg-info in %files, not in %doc

Revision 1.18  2010/10/25 05:03:30  glen
- apidocs subpackage

Revision 1.17  2010/07/08 08:25:49  arekm
- release 2

Revision 1.16  2010/02/26 10:57:19  matkor
- Updated source md5.

Revision 1.15  2010/02/26 10:17:57  matkor
- Version 1.7.6-1

Revision 1.14  2009/03/14 15:50:04  duddits
- up to 1.7.4
- cleaning

Revision 1.13  2008/10/03 17:54:59  arekm
- release 3

Revision 1.12  2007-07-18 18:12:35  qboosh
- tab

Revision 1.11  2007/07/18 17:44:32  matkor
- Rel 2. Fixed R (pointed out by Arkadiusz Machol).

Revision 1.10  2007/07/18 11:47:28  matkor
- Version 1.7.1-1.

Revision 1.9  2007/06/13 09:45:46  beorn
- Missing BR

Revision 1.8  2007/06/13 09:44:38  beorn
- Description fix
- Added example files

Revision 1.7  2007/05/09 10:45:01  matkor
- Added BRs. Release 1.1

Revision 1.6  2007/05/09 09:06:29  matkor
- Version 1.7-1

Revision 1.5  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.3  2006/11/24 14:35:30  qboosh
- noarch, post-template cleanup

Revision 1.2  2006/11/24 14:30:41  qboosh
- __python macro, postclean, BR: rpm-pythonprov

Revision 1.1  2006/11/16 01:12:09  japhy
- New spec file.
